# presentation

The **`presentation`** object is the root object. Below are the parameters and objects within it:

<table><thead><tr><th width="174">Parameter</th><th width="93">Type</th><th width="138">Input</th><th>Description</th></tr></thead><tbody><tr><td>template </td><td>String</td><td></td><td><p><mark style="color:red;">[required]</mark> Specifies the base presentation template. This can be either:</p><p></p><ol><li>A filename (e.g., "my_template.pptx"): In this case, the request Content-Type must be multipart/form-data, and the actual template file must be uploaded as part of the request. The value of this template field in the JSON payload should be the name of the uploaded file.</li><li>A downloadable URL (e.g., "https://.../template.pptx"): The API server will attempt to download the template from this URL. The request Content-Type should be application/json.</li></ol></td></tr><tr><td>export_version</td><td>String (Enum)</td><td><p><code>Pptx2007</code>,</p><p><code>Pptx2010</code>,</p><p><code>Pptx2013</code>,</p><p><code>Pptx2016</code>,</p><p><code>Pptx2019</code>,</p><p><code>PDF</code></p></td><td><mark style="color:yellow;">[optional]</mark> File format the output presentation should use.</td></tr><tr><td>resultFileName</td><td>String</td><td></td><td><mark style="color:yellow;">[optional]</mark> Name of output presentation.</td></tr><tr><td>slides </td><td><mark style="color:blue;">Object</mark></td><td></td><td><mark style="color:yellow;">[optional]</mark> An array of <a href="/pages/tc4HtIVVIQg1HoOvuopF"><mark style="color:blue;"><strong>slide objects</strong></mark></a>.</td></tr></tbody></table>

JSON Payload&#x20;

{% code lineNumbers="true" %}

```json
{
  "presentation": {
    "template": "template_name.pptx",
    "export_version": "Pptx2019",
    "resultFileName": "string",
    "slides": []
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powerpointgeneratorapi.com/json-template-syntax/presentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
